[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLQuery.Destroy

Destroy instance of TCustomSQLQuery

## Declaration

Source position: sqldb.pp line 583

`public destructor TCustomSQLQuery.Destroy; override;`

## Description

Destroy cleans up the instance, closing the dataset and freeing all allocated resources.

## See also

TCustomSQLQuery.Create |  | Create a new instance of TCustomSQLQuery.